Resolve a GCP setup step
curl --request POST \
--url https://api.trycomp.ai/v1/cloud-security/setup-gcp/{connectionId}/resolve-step \
--header 'Content-Type: application/json' \
--data '
{
"stepId": "enable_service_usage_api"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({stepId: 'enable_service_usage_api'})
};
fetch('https://api.trycomp.ai/v1/cloud-security/setup-gcp/{connectionId}/resolve-step', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/cloud-security/setup-gcp/{connectionId}/resolve-step"
payload = { "stepId": "enable_service_usage_api" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Cloud Security
Resolve a GCP setup step | Comp AI API
Resolve a GCP setup step in Comp AI. Run AWS, Azure, and GCP cloud security scans, detect enabled services, review findings, and connect cloud posture.
POST
/
v1
/
cloud-security
/
setup-gcp
/
{connectionId}
/
resolve-step
Resolve a GCP setup step
curl --request POST \
--url https://api.trycomp.ai/v1/cloud-security/setup-gcp/{connectionId}/resolve-step \
--header 'Content-Type: application/json' \
--data '
{
"stepId": "enable_service_usage_api"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({stepId: 'enable_service_usage_api'})
};
fetch('https://api.trycomp.ai/v1/cloud-security/setup-gcp/{connectionId}/resolve-step', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/cloud-security/setup-gcp/{connectionId}/resolve-step"
payload = { "stepId": "enable_service_usage_api" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Path Parameters
Body
application/json
Setup step to retry
Step to resolve, taken from the steps[].id returned by setup-gcp.
Available options:
enable_security_command_center_api, enable_cloud_resource_manager_api, enable_service_usage_api, grant_findings_viewer_role Example:
"enable_service_usage_api"
Response
201 - undefined
Was this page helpful?

